#if !defined(AFX_CKEYBOARD_H__7977EF61_45EB_11D2_98E0_B1F663F09B44__INCLUDED_)
#define AFX_CKEYBOARD_H__7977EF61_45EB_11D2_98E0_B1F663F09B44__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// Ckeyboard.h : header file
//

#define KEY_CHANGED_CONTENTS	0x01
#define KEY_CHANGED_MODE		0x02
#define KEY_LOADED_TEMPLATE		0x04
#define KEY_SAVED_TEMPLATE		0x08

/////////////////////////////////////////////////////////////////////////////
// CKeyBoard dialog

class CKeyBoard : public CDialog
{
// Construction
public:
	CKeyBoard(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CKeyBoard)
	enum { IDD = IDD_KEYTEMPLATE };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CKeyBoard)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void CKeyBoard::SetAtariSelect( void );
	void CKeyBoard::UpdateDisplay( void );
	int	m_iPCSelect;
	int	m_iASelect;
	unsigned long	ulKeyState;

	// Generated message map functions
	//{{AFX_MSG(CKeyBoard)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangePckeys();
	afx_msg void OnCtrl();
	afx_msg void OnShift();
	afx_msg void OnSelchangeAtarikeys();
	afx_msg void OnKillfocusTemplateDescription();
	afx_msg void OnSavetemplate();
	afx_msg void OnLoadtemplate();
	afx_msg void OnUseTemplate();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CKEYBOARD_H__7977EF61_45EB_11D2_98E0_B1F663F09B44__INCLUDED_)
